@php
    $content = getContent('predict.content', true);
    $elements = getContent('predict.element', limit: 6)->reverse();
@endphp
<section class="predict-type-section pb-120 pt-120 bg--section">
    <div class="container pt-80">
        <div class="row gy-5">
            <div class="section__header">
                <h3 class="title">{{ __(@$content->data_values->heading) }}</h3>
                <p>{{ __(@$content->data_values->sub_heading) }}</p>
            </div>
        </div>
        <div class="row g-xl-2 g-lg-4 g-md-2 g-3">
            <div class="circ-gall-ctn">
                <div class="circ-gall"></div>
            </div>
            @foreach ($elements as $element)
                <div class="col-xl-2 col-md-3 col-sm-6 ">
                    <div class="predict-type-item predictModelShow" data-predict='@json(@$element->data_values)'>
                        <div class="icon"> @php echo @$element->data_values->icon @endphp </div>
                        <span class="title">{{ __(@$element->data_values->title) }}</span>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</section>

<div class="modal fade custom--modal" id="predictModel">
    <div class="modal-dialog modal-xl modal-dialog-centered modal-dialog-scrollable modal-fullscreen-lg-down">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title"></h6>
                <span type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </span>
            </div>
            <div class="modal-body">
                <div class="predict-type-content">
                    <p class="text-white description"></p>
                    <div class="pt-2 d-flex flex-wrap couple--buttons">
                        <a href="{{ @route($value->data_values->button_url ?? 'user.register') }}"
                            class="cmn--btn btn-name">{{ __(@$value->data_values->button_name) }}</a>
                        <a href="{{ route('user.register') }}" class="cmn--outline--btn">@lang('Sign Up Now')</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@push('style')
    <style>
        /* Centering the main circle container */
        .predict-type-section .container {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column
        }

        /* Circle container dimensions */
        .predict-type-section .row.g-xl-2 {
            position: relative;
            width: 700px;
            /* Adjust size as needed */
            height: 700px;
            margin: 0 auto;
        }

        /* Predict items retain their shape and centered alignment */
        .predict-type-item {
            position: absolute;
            width: auto;
            height: auto;
            text-align: center;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            min-width: 200px;
            transform-origin: center;
        }

        .predict-type-item .title {
            font-weight: bold;
            color: #ffffff;
        }

        .circ-gall-ctn {
            background-color: transparent;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            justify-items: center;
        }

        .circ-gall {
            border-style: solid;
            border-width: 5px;
            background-color: transparent;
            width: 80%;
            height: 78%;
            border-radius: 50%;
        }

        @media(max-width: 991px) {
            .predict-type-item {
                position: static;
                width: 100%;
                margin-bottom: 10px;
                min-width: unset;
            }

            .predict-type-section .row.g-xl-2 {
                width: 100%;
                height: auto;
                margin: 0 auto;
            }

            .circ-gall-ctn, .circ-gall {
                display: none !important;
            }
        }
    </style>
@endpush

@push('script')
    <script>
        "use strict";
        (function($) {
            $('.predictModelShow').on('click', function() {
                let modal = $('#predictModel');
                let data = $(this).data('predict');
                modal.find('.modal-title').text(data.title);
                modal.find('.description').text(data.description);
                modal.find('.btn-name').text(data.button_name);
                modal.modal('show');
            });
        })(jQuery);
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", () => {
            const items = document.querySelectorAll('.predict-type-item');
            const radius = 300;
            const centerOffset = 300; // Offset to center items in a 700px container

            const angleIncrement = (2 * Math.PI) / items.length;
            items.forEach((item, index) => {
                const angle = index * angleIncrement;
                const x = radius * Math.cos(angle);
                const y = radius * Math.sin(angle);

                item.style.left = `${centerOffset + x - 45}px`; // Centers horizontally
                item.style.top = `${centerOffset + y}px`; // Centers vertically
            });
        });
    </script>
@endpush
