
<?php $__env->startSection('content'); ?>
<div class="container" style="height: calc(100vh - 35px);">
    <div class="row justify-content-end gy-4 vertical-center">
        <div class="col-lg-4 text-end">
            <form action="">
                <div class="input-group">
                    <input type="text" name="search" class="form-control cmn--form--control" value="<?php echo e(request()->search); ?>" placeholder="<?php echo app('translator')->get('Search By Transactions'); ?>">
                    <button class="input-group-text bg--base border-0 text-white">
                        <i class="las la-search"></i>
                    </button>
                </div>
            </form>
        </div>
        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table cmn--table">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('Gateway | Transaction'); ?></th>
                            <th><?php echo app('translator')->get('Initiated'); ?></th>
                            <th><?php echo app('translator')->get('Amount'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th><?php echo app('translator')->get('Details'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deposit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                               <td>
                                    <div>
                                        <span class="fw-bold"> <span class="text--primary"><?php echo e(__($deposit->gateway?->network)); ?></span> </span> <br>
                                        <small> <?php echo e($deposit->trx); ?> </small>
                                    </div>
                               </td>
                               <td><?php echo e(showDateTime($deposit->created_at)); ?><br><?php echo e(diffForHumans($deposit->created_at)); ?></td>
                               <td>
                                   <div>
                                    <?php echo e(showAmount($deposit->amount, 8 )); ?> + <span class="text--danger" title="<?php echo app('translator')->get('charge'); ?>"><?php echo e(showAmount   ($deposit->charge)); ?> </span>
                                    <br>
                                    <strong title="<?php echo app('translator')->get('Amount with charge'); ?>"> <?php echo e(number_format($deposit->amount+$deposit->charge, 8)); ?> <?php echo e($deposit->method_currency); ?></strong>
                                   </div>
                               </td>
                               <td> <?php echo $deposit->statusBadge ?> </td>
                                <?php $details = ($deposit->detail != null) ? json_encode($deposit->detail) : null; ?>
                                <td>
                                    <a href="javascript:void(0)" class="btn btn--base-outline btn-sm  <?php if($deposit->method_code >= 1000): ?> detailBtn <?php else: ?> disabled <?php endif; ?>"
                                        <?php if($deposit->method_code >= 1000): ?>
                                            data-info="<?php echo e($details); ?>"
                                        <?php endif; ?>
                                        <?php if($deposit->status == Status::PAYMENT_REJECT): ?>
                                            data-admin_feedback="<?php echo e($deposit->admin_feedback); ?>"
                                        <?php endif; ?>>
                                        <i class="las la-desktop"></i> <?php echo app('translator')->get('Details'); ?>
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="100%" class="text-center text-muted"><?php echo e(__($emptyMessage)); ?></td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
            <?php if($deposits->hasPages()): ?>
                <?php echo e(paginateLinks($deposits)); ?>

            <?php endif; ?>
        </div>
    </div>
</div>


<div id="detailModal" class="modal fade custom--modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Details'); ?></h5>
                <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </span>
            </div>
            <div class="modal-body">
                <ul class="list-group userData mb-2 list-group-flush">
                </ul>
                <div class="feedback"></div>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        (function ($) {
            "use strict";
            $('.detailBtn').on('click', function () {
                var modal = $('#detailModal');

                var userData = $(this).data('info');
                console.log(userData);
                var html = '';
                if(userData){
                    userData.forEach(element => {
                        if(element.type != 'file'){
                            html += `
                            <li class="list-group-item d-flex justify-content-between  bg-transparent text-white b-input">
                                <span>${element.name}</span>
                                <span">${element.value}</span>
                            </li>`;
                        }
                    });
                }
                modal.find('.userData').html(html);
                if($(this).data('admin_feedback') != undefined){
                    var adminFeedback = `
                        <div class="my-3">
                            <strong><?php echo app('translator')->get('Admin Feedback'); ?></strong>
                            <p>${$(this).data('admin_feedback')}</p>
                        </div>
                    `;
                }else{
                    var adminFeedback = '';
                }
                modal.find('.feedback').html(adminFeedback);
                modal.modal('show');
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('style'); ?>
    <style>
        .modal-content,
        .modal-header,
        .modal-body,
        .modal-footer {
            background-color: #1a253b;
        }

        .modal-header,
        .modal-body {
            border-bottom-color: #CC3366;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/uixftobj/public_html/core/resources/views/templates/basic/user/deposit_history.blade.php ENDPATH**/ ?>