<?php
    use Illuminate\Support\Str;
    use Carbon\Carbon;
    use App\Models\CryptoCurrency;
    function formatAmount($number, $precision = 2)
    {
        $suffixes = ['', 'k', 'M', 'B', 'T', 'Q'];

        $suffixIndex = 0;
        while ($number >= 1000 && $suffixIndex < count($suffixes) - 1) {
            $number /= 1000;
            $suffixIndex++;
        }

        return number_format($number, $precision) . $suffixes[$suffixIndex];
    }
?>

<?php $__env->startSection('content'); ?>
    <div class="not_a_container p-0">
        <div class="row gx-2">
            <div class="col-12">
                <div class="px-5 py-5 ">
                    <p class="m-0" style="font-size: 28px; font-weight: 600;">Markets Overview</p>
                    <p class="m-0" style="font-size: 14px;">All price information is in USD</p>
                </div>
            </div>
            <div class="col-12">
                <div class="row gx-2 gy-2 px-5 pb-5 ">
                    <div class="col-lg-3">
                        <div class="card px-3 py-2" style="background-color: #CC33661a;">
                            <p style="font-size: 12px">Highlight Coins</p>
                            <ul>
                                <?php $__currentLoopData = $highlightedData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $crypto = json_decode(json_encode($crypto));
                                    ?>
                                    <li class="mt-1"
                                        style="
                                    display: flex;
                                    justify-content: space-between;
                                ">
                                        <span class="d-block"><?php echo e(__(@$crypto->symbol)); ?></span>
                                        <span class="d-block"><?php echo e(formatAmount(@$crypto->quote->USD->price, 2)); ?> USD</span>
                                        <?php if($crypto->quote->USD->percent_change_24h < 0): ?>
                                            <span
                                                class=" text-danger"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php else: ?>
                                            <span
                                                class=" text-success"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="card px-3 py-2" style="background-color: #CC33661a;">
                            <p style="font-size: 12px">New Listings</p>
                            <ul>
                                <?php $__currentLoopData = $newListings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $crypto = json_decode(json_encode($crypto));
                                    ?>
                                    <li class="mt-1"
                                        style="
                                    display: flex;
                                    justify-content: space-between;
                                ">
                                        <span class="d-block"><?php echo e(__(@$crypto->symbol)); ?></span>
                                        <span class="d-block"><?php echo e(formatAmount(@$crypto->quote->USD->price, 2)); ?> USD</span>
                                        <?php if($crypto->quote->USD->percent_change_24h < 0): ?>
                                            <span
                                                class=" text-danger"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php else: ?>
                                            <span
                                                class=" text-success"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="card px-3 py-2" style="background-color: #CC33661a;">
                            <p style="font-size: 12px">Top Gainer</p>
                            <ul>
                                <?php $__currentLoopData = $topGainingData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $crypto = json_decode(json_encode($crypto));
                                    ?>
                                    <li class="mt-1"
                                        style="
                                    display: flex;
                                    justify-content: space-between;
                                ">
                                        <span class="d-block"><?php echo e(__(@$crypto->symbol)); ?></span>
                                        <span class="d-block"><?php echo e(formatAmount(@$crypto->quote->USD->price, 2)); ?> USD</span>
                                        <?php if($crypto->quote->USD->percent_change_24h < 0): ?>
                                            <span
                                                class=" text-danger"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php else: ?>
                                            <span
                                                class=" text-success"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="card px-3 py-2" style="background-color: #CC33661a;">
                            <p style="font-size: 12px">Top Volume</p>
                            <ul>
                                <?php $__currentLoopData = $topVolumeData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                        $crypto = json_decode(json_encode($crypto));
                                    ?>
                                    <li class="mt-1"
                                        style="
                                    display: flex;
                                    justify-content: space-between;
                                ">
                                        <span class="d-block"><?php echo e(__(@$crypto->symbol)); ?></span>
                                        <span class="d-block"><?php echo e(formatAmount(@$crypto->quote->USD->price, 2)); ?> USD</span>
                                        <?php if($crypto->quote->USD->percent_change_24h < 0): ?>
                                            <span
                                                class=" text-danger"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php else: ?>
                                            <span
                                                class=" text-success"><?php echo e(formatAmount(@$crypto->quote->USD->percent_change_24h, 2)); ?>

                                                %</span>
                                        <?php endif; ?>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row gx-2 mt-3 m-0 tabbish_card px-2 py-3">
            <p class="m-0 px-4 pt-2 pb-1" style="font-size: 16px; font-weight: bold;">Top Tokens by Market Capitalization</p>
            <p class="m-0 px-4 pt-1 pb-2" style="font-size: 14px">This a comprehensive snapshot of all cryptocurrencies available on Tradelive Chart. This page displays the latest
                prices, 24-hour trading volume, price changes, and market capitalizations for all cryptocurrencies on
                Tradelive Chart and some extra cryptocurrencies. Users can quickly access key information about these digital assets present on Tradelive Chart and access the trade page from
                here.
                The data presented is for informational purposes only. Some data is provided by CoinMarketCap and is shown
                on an “as is” basis, without representation or warranty of any kind.</p>
            <div class="table-responsive px-4 mt-2" style="overflow-x: auto;">
                <table class="table markets-table">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('Name'); ?></th>
                            <th><?php echo app('translator')->get('1h%'); ?></th>
                            <th><?php echo app('translator')->get('Price'); ?></th>
                            <th><?php echo app('translator')->get('7d%'); ?></th>
                            <th><?php echo app('translator')->get('Market Cap'); ?></th>
                            <th><?php echo app('translator')->get('24h%'); ?></th>
                            <th><?php echo app('translator')->get('Volume(24h)'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <?php
                                $image = CryptoCurrency::where('symbol', $crypto->symbol)->first();
                            ?>
                            <tr>
                                <td>
                                    <div class="author-info d-flex align-items-center">
                                        <?php if(is_null($image)): ?>
                                        <?php else: ?>
                                            <img width="35" height="35"
                                                style="border-radius: 100%; margin-right: 5px;"
                                                src="<?php echo e(getImage(getFilePath('crypto_currency') . '/' . $image->image, getFileSize('crypto_currency'))); ?>">
                                        <?php endif; ?>
                                        <div class="name">
                                            <span class="d-block"><?php echo e(__(@$crypto->symbol)); ?></span>
                                            <small><?php echo e(__(@$crypto->name)); ?></small>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <?php if($crypto->quote->USD->percent_change_1h < 0): ?>
                                        <span class=" text-danger"><?php echo e(showAmount($crypto->quote->USD->percent_change_1h)); ?>

                                            %</span>
                                    <?php else: ?>
                                        <span
                                            class=" text-success"><?php echo e(showAmount($crypto->quote->USD->percent_change_1h)); ?>

                                            %</span>
                                    <?php endif; ?>
                                </td>
                                <td><?php echo e(showAmount($crypto->quote->USD->price)); ?> <?php echo app('translator')->get('USD'); ?></td>
                                <td>
                                    <?php if($crypto->quote->USD->percent_change_7d < 0): ?>
                                        <span class=" text-danger"><?php echo e(showAmount($crypto->quote->USD->percent_change_7d)); ?>

                                            %</span>
                                    <?php else: ?>
                                        <span
                                            class=" text-success"><?php echo e(showAmount($crypto->quote->USD->percent_change_7d)); ?>

                                            %</span>
                                    <?php endif; ?>
                                </td>
                                <td>$<?php echo e(showAmount($crypto->quote->USD->fully_diluted_market_cap)); ?></td>
                                <td>
                                    <?php if($crypto->quote->USD->percent_change_24h < 0): ?>
                                        <span
                                            class=" text-danger"><?php echo e(showAmount($crypto->quote->USD->percent_change_24h)); ?>

                                            %</span>
                                    <?php else: ?>
                                        <span
                                            class=" text-success"><?php echo e(showAmount($crypto->quote->USD->percent_change_24h)); ?>

                                            %</span>
                                    <?php endif; ?>
                                </td>
                                <td>$<?php echo e(showAmount($crypto->quote->USD->volume_24h)); ?></td>

                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="100%" class="text-muted text-center">No data, yet</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
    <script src="/assets/templates/basic/js/easytimer.min.js"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Gigs\tradelivechart\core\resources\views/templates/basic/user/markets/index.blade.php ENDPATH**/ ?>