<?php $__env->startSection('content'); ?>
    <div class="container" style="height: calc(100vh - 35px);">
        <div class="row justify-content-center vertical-center">
            <div class="col-lg-10">
                <div class="card custom--card">
                    <div class="card-body">
                        <div class="row gy-4 justify-content-center flex-wrap-reverse">
                            <div class="col-md-5 col-lg-4">
                                <ul class="list-group list-group-flush bg--light h-100 p-3">
                                    <li
                                        class="list-group-item d-flex flex-column justify-content-between border-0 bg-transparent">
                                        <span class="fw-bold text-muted"><?php echo e($user->username); ?></span>
                                        <small class="text-muted"> <i class="la la-user"></i> <?php echo app('translator')->get('Userame'); ?></small>
                                    </li>
                                    <li
                                        class="list-group-item d-flex flex-column justify-content-between border-0 bg-transparent">
                                        <span class="fw-bold text-muted"><?php echo e($user->email); ?></span>
                                        <small class="text-muted"><i class="la la-envelope"></i> <?php echo app('translator')->get('Email'); ?></small>
                                    </li>
                                    <li
                                        class="list-group-item d-flex flex-column justify-content-between border-0 bg-transparent">
                                        <span class="fw-bold text-muted">+<?php echo e($user->mobile); ?></span>
                                        <small class="text-muted"><i class="la la-mobile"></i> <?php echo app('translator')->get('Mobile'); ?></small>
                                    </li>
                                    <li
                                        class="list-group-item d-flex flex-column justify-content-between border-0 bg-transparent">
                                        <span class="fw-bold text-muted"><?php echo e($user->address->country); ?></span>
                                        <small class="text-muted"><i class="la la-globe"></i> <?php echo app('translator')->get('Country'); ?></small>
                                    </li>

                                    <li
                                        class="list-group-item d-flex flex-column justify-content-between border-0 bg-transparent">
                                        <span class="fw-bold text-muted"><?php echo e($user->address->address); ?></span>
                                        <small class="text-muted"><i class="la la-map-marked"></i> <?php echo app('translator')->get('Address'); ?></small>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-md-7 col-lg-8">
                                <div class="d-flex flex-wrap gap-2">
                                    <div class="flex-grow-1 col-12">
                                        <label><?php echo app('translator')->get('Referral Link'); ?></label>
                                        <div class="input-group">
                                            <input id="rlink" type="text" name="reflink"
                                                value="<?php echo e(route('user.register') . '?ref=' . auth()->user()->refCode); ?>"
                                                class="form-control cmn--form--control" readonly>
                                            <span class="input-group-text" style="cursor: pointer;" onclick="copyRLink();"><i class="fas fa-copy" ></i></span>
                                        </div>
                                    </div>
                                    <script>
                                        function copyRLink() {
                                            let text = "<?php echo e(route('user.register') . '?ref=' . auth()->user()->refCode); ?>";
                                            navigator.clipboard.writeText(text).then(function() {
                                                alert('Referral link copied successfuly.');
                                            }, function(err) {
                                                console.error('Async: Could not copy text: ', err);
                                                alert('We encountered an error copying your referral link.');
                                            });
                                        }
                                    </script>
                                </div>
                                <form class="register py-3 pe-3 ps-3 ps-md-0" action="" method="post"
                                    enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <div class="row gy-2">
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo app('translator')->get('First Name'); ?></label>
                                                <input type="text" class="form-control cmn--form--control"
                                                    name="firstname" value="<?php echo e($user->firstname); ?>" required>
                                            </div>
                                        </div>

                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo app('translator')->get('Last Name'); ?></label>
                                                <input type="text" class="form-control cmn--form--control"
                                                    name="lastname" value="<?php echo e($user->lastname); ?>" required>
                                            </div>
                                        </div>

                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo app('translator')->get('State'); ?></label>
                                                <input type="text" class="form-control cmn--form--control" name="state"
                                                    value="<?php echo e(@$user->address->state); ?>">
                                            </div>
                                        </div>

                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo app('translator')->get('City'); ?></label>
                                                <input type="text" class="form-control cmn--form--control" name="city"
                                                    value="<?php echo e(@$user->address->city); ?>">
                                            </div>
                                        </div>

                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo app('translator')->get('Zip Code'); ?></label>
                                                <input type="text" class="form-control cmn--form--control" name="zip"
                                                    value="<?php echo e(@$user->address->zip); ?>">
                                            </div>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="form-group">
                                                <label class="form-label"><?php echo app('translator')->get('Address'); ?></label>
                                                <input type="text" class="form-control cmn--form--control" name="address"
                                                    value="<?php echo e(@$user->address->address); ?>">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="asset_item_top mt-2 px-6">
                                        <button type="submit" class="asset_a"><?php echo app('translator')->get('Submit'); ?></button>
                                    </div>
                                </form>
                                <div class="asset_item_top mt-2 px-6">
                                    <a href="<?php echo e(route('user.change.password')); ?>" class="asset_a"><?php echo app('translator')->get('Change Password'); ?></a>
                                </div>
                                <div class="asset_item_top mt-2 px-6">
                                    <a href="<?php echo e(route('user.twofactor')); ?>" class="asset_a"><?php echo app('translator')->get('Enable/Disable 2FA'); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Gigs\furures\core\resources\views/templates/basic/user/profile_setting.blade.php ENDPATH**/ ?>