<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body p-0">
                <div class="table-responsive--md  table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('Crypto'); ?></th>
                                <th><?php echo app('translator')->get('Symbol'); ?></th>
                                <th><?php echo app('translator')->get('Status'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $cryptos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td>
                                    <div class="user">
                                        <div class="thumb">
                                            <img src="<?php echo e(getImage(getFilePath('crypto_currency').'/'.$crypto->image, getFileSize('crypto_currency'))); ?>" >
                                        </div>
                                        <span class="name"><?php echo e(__(@$crypto->name)); ?></span>
                                    </div>
                                </td>
                                <td><?php echo e(__(@$crypto->symbol)); ?></td>
                                <td> <?php echo $crypto->statusBadge; ?> </td>
                                <td>
                                    <button type="button" class="btn btn-sm btn-outline--primary editBtn"
                                        data-crypto='<?php echo json_encode($crypto, 15, 512) ?>'>
                                        <i class="la la-pencil"></i><?php echo app('translator')->get('Edit'); ?>
                                    </button>
                                    <?php if($crypto->status == Status::DISABLE): ?>
                                    <button class="btn btn-sm btn-outline--success ms-1 confirmationBtn"
                                        data-question="<?php echo app('translator')->get('Are you sure to enable this crypto currency?'); ?>"
                                        data-action="<?php echo e(route('admin.crypto.currency.status',$crypto->id)); ?>">
                                        <i class="la la-eye"></i> <?php echo app('translator')->get('Enable'); ?>
                                    </button>
                                    <?php else: ?>
                                    <button class="btn btn-sm btn-outline--danger ms-1 confirmationBtn"
                                        data-question="<?php echo app('translator')->get('Are you sure to disable this crypto currency?'); ?>"
                                        data-action="<?php echo e(route('admin.crypto.currency.status',$crypto->id)); ?>">
                                        <i class="la la-eye-slash"></i> <?php echo app('translator')->get('Disable'); ?>
                                    </button>
                                    <?php endif; ?>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if($cryptos->hasPages()): ?>
            <div class="card-footer py-4">
                <?php echo e(paginateLinks($cryptos)); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<div id="cryptoModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Add Crypto Currency'); ?></h5>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form action="" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Name'); ?></label>
                        <input type="text" class="form-control" name="name" required>
                    </div>
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Symbol'); ?></label>
                        <input type="text" class="form-control" name="symbol" required>
                    </div>
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Image'); ?></label>
                        <input type="file" accept=".jpg,.jpeg,.png" class="form-control" name="image" required>
                         <small class="mt-2  "><?php echo app('translator')->get('Supported files'); ?>: <b><?php echo app('translator')->get('jpeg'); ?>, <?php echo app('translator')->get('jpg'); ?>, <?php echo app('translator')->get('png'); ?>.</b> <?php echo app('translator')->get('Image will be resized into '); ?> <?php echo e(getFileSize('crypto_currency')); ?> <?php echo app('translator')->get('px'); ?> </small>
                    </div>
                    <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                </div>

            </form>
        </div>
    </div>
</div>
<?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.search-form','data' => ['placeholder' => 'Name,Symbol....']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('search-form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['placeholder' => 'Name,Symbol....']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<button type="button" class="btn btn-sm btn-outline--primary addBtn">
    <i class="las la-plus"></i><?php echo app('translator')->get('Add New'); ?>
</button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
    "use strict";
    (function ($) {
        let modal = $('#cryptoModal');
        $('.addBtn').on('click', function (e) {
            let action = `<?php echo e(route('admin.crypto.currency.save')); ?>`;
            modal.find('form').trigger('reset');
            modal.find('input[name=image]').prop('required', true);
            modal.find('label[for=image]').addClass('required');
            modal.find('form').prop('action', action);
            modal.find('.modal-title').text("<?php echo app('translator')->get('Add Crypto Currency'); ?>");
            $(modal).modal('show');
        });

        $('.editBtn').on('click', function (e) {
            let action = `<?php echo e(route('admin.crypto.currency.save',':id')); ?>`;
            let data = $(this).data('crypto');
            modal.find('form').prop('action', action.replace(':id', data.id))
            modal.find("input[name=name]").val(data.name);
            modal.find("input[name=symbol]").val(data.symbol);
            modal.find('input[name=image]').prop('required', false);
            modal.find('label[for=image]').removeClass('required');
            modal.find('.modal-title').text("<?php echo app('translator')->get('Update Crypto Currency'); ?>");
            $(modal).modal('show');
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Gigs\furures\core\resources\views/admin/crypto/index.blade.php ENDPATH**/ ?>