<?php $__env->startSection('content'); ?>
<div class="container">
    <section class="games-section bg--section">
        <div class="container">
            <div class="row gy-4">
                <div class="col-12">
                    <ul class="highlow-time-duration">
                        <?php $__currentLoopData = $tradeSettings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tradeSetting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="highlight">
                                <a href="javascript:void(0)" class="gameTime " data-setting='<?php echo json_encode($tradeSetting->only('time', 'unit'), 512) ?>'>
                                    <i class="las la-clock"></i>
                                    <?php echo e($tradeSetting->time); ?> <?php echo e(__($tradeSetting->unit)); ?>

                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="col-lg-6">
                    <div class="card custom--card">
                        <div class="card-body">
                            <div id="graph"></div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="card custom--card">
                        <div class="card-header">
                            <h5 class="card-title"><?php echo app('translator')->get('Current'); ?> <?php echo e(__($currency->name)); ?> <?php echo app('translator')->get('Price'); ?> : <span id="cryptoPrice"></span>  <?php echo app('translator')->get("USD"); ?></h5>
                        </div>
                        <div class="card-body text-center">
                            <span class="trade-user-price"></span>
                            <form id="playGame">
                                <div class="predict-group">
                                    <div class="input-group">
                                        <input type="number" step="any" placeholder="<?php echo app('translator')->get('Enter Amount'); ?>" class="form-control cmn--form--control only-number" required name="amount">
                                        <span class="input-group-text bg--info cmn--form--control"> <?php echo e(__($general->cur_text)); ?> </span>
                                    </div>
                                    <div class="highlow-predict">
                                        <button class="cmn--btn border-0 btn--success highlowButton" type="submit" name="highlow" value="1">
                                            <i class="las la-arrow-up"></i><?php echo app('translator')->get('High'); ?>
                                        </button>
                                        <button class="cmn--btn border-0 btn--danger highlowButton" type="submit" name="highlow" value="2">
                                            <i class="las la-arrow-down"></i><?php echo app('translator')->get('Low'); ?>
                                        </button>
                                    </div>
                                    <div class="clock w-100 mt-5"></div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style-lib'); ?>
<link rel="stylesheet" href="<?php echo e(asset($activeTemplateTrue.'/css/flipclock.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
<script src="<?php echo e(asset($activeTemplateTrue.'js/flipclock.min.js')); ?>"></script>
<script src="<?php echo e(asset($activeTemplateTrue.'js/plot/plotly-latest.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        var arrayLength = 15;
        var newArray = [];
        var xArray = [];
        var timezone;
        var gtime;
        var coinSymbol = "<?php echo e($currency->symbol); ?>";

        for (var i = 0; i < arrayLength; i++) {
            var y;
            var x;
            newArray[i] = y
            xArray[i] = x
        }
        var baseColor = "#<?php echo e($general->base_color); ?>"
        var trace1 = {
            x: xArray,
            y: newArray,
            showlegend: true,
            line: {color: baseColor},
            visible: true,
            xaxis: 'x1',
            yaxis: 'y1',
        };
        var data = [trace1];
        var layout = {
            xaxis: {
                tickfont: {
                    size: 14,
                    color: '#fff'
                },
                ticklen: 8,
                tickwidth: 2,
                tickcolor: '#8f2331'
            },
            yaxis: {
                tickfont: {
                    size: 14,
                    color: '#fff'
                },
                ticklen: 8,
                tickwidth: 2,
                tickcolor: '#8f2331'
            },
            paper_bgcolor: '#141c24',
            plot_bgcolor: '#141c24',
            showlegend: false,
        };
        Plotly.plot('graph', {
            data: data,
            layout: layout
        });
        var inter = setInterval(function () {
            var dateTime = new Date();
            timezone = dateTime.getTimezoneOffset() / 60;
            gtime = dateTime.getHours() + ':' + dateTime.getMinutes() + ':' + dateTime.getSeconds();
            var time = dateTime.getHours() + ':' + dateTime.getMinutes() + ':' + dateTime.getSeconds();
            $.get("<?php echo e(route('user.crypto.rate')); ?>", {coinSymbol: coinSymbol}, function (data) {
                $('#cryptoPrice').text(data);
                var y = data;
                var x = time;
                newArray = newArray.concat(y)
                newArray.splice(0, 1)
                xArray = xArray.concat(x)
                xArray.splice(0, 1)
            });

            var data_update = {
                x: [xArray],
                y: [newArray]
            };
            Plotly.update('graph', data_update)
        }, 1000);


        $(document).ready(function () {
            var gameLogId;
            var playTime;
            var playTimeUnit;
            var second;
            var highlowType;
            var coinId = "<?php echo e($currency->id); ?>";
            const highLowArray = [1, 2];
            const userBalance = <?php echo e(auth()->user()->balance); ?>;

            $(document).on('click', '.gameTime', function () {
                $(".highlight").children().removeClass('active');
                $(this).addClass('active');
                let setting=$(this).data('setting')
                playTime     = setting.time;
                playTimeUnit = setting.unit;
            });

            $(".highlowButton").on('click', function () {
                highlowType = $(this).val();
            });

            $("#playGame").on('submit', function (event) {
                event.preventDefault();
                var amount = $('input[name="amount"]').val();
                var timeCount = secondCount();

                if (!highLowArray.includes(parseInt(highlowType))) {
                    notify('error', "<?php echo app('translator')->get('Invalid trade type'); ?>");
                } else if (userBalance < amount) {
                    notify('error', 'Your account balance <?php echo e(showAmount(auth()->user()->balance)); ?> <?php echo e($general->cur_text); ?> not enough! please deposit money');
                } else if (isNaN(amount) || amount <= 0) {
                    notify('error', 'Please insert valid amount')
                } else if (isNaN(timeCount) || timeCount <= 0) {
                    notify('error', 'Please select valid time')
                } else {
                    $('input[name="amount"]').val("");
                    $.ajax({
                        headers: {"X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>",},
                        url: "<?php echo e(route('user.trade.store')); ?>",
                        method: "POST",
                        data: {
                            amount: amount,
                            coin_id: coinId,
                            high_low_type: highlowType,
                            duration: playTime,
                            unit: playTimeUnit
                        },
                        success: function (response) {
                            if(response.success){
                                gameLogId = response.game_log_id;
                                countDown(timeCount, gameLogId)
                                if (highlowType == 1) {
                                    $(".trade-user-price").text("Your trade high. price was " + response.trade + " " + "USD");
                                    notify('success', 'Trade High');
                                } else {
                                    $(".trade-user-price").text("Your trade low. price was " + response.trade + " " + "USD");
                                    notify('success', 'Trade Low');
                                }
                            }else{
                                notify('error',response.errors)
                            }
                        }
                    });
                }
            });

            function secondCount() {
                if (playTimeUnit == 'seconds') {
                    second = playTime;
                    return second;
                } else if (playTimeUnit == 'minutes') {
                    second = playTime * 60;
                    return second;
                } else if (playTimeUnit == 'hours') {
                    second = playTime * 60 * 60;
                    return second;
                }
            }

            function countDown(timeCount, gameLogId) {
                var clock = $('.clock').FlipClock({
                    defaultClockFace: 'HourlyCounter',
                    autoStart: false,
                    callbacks: {
                        stop: function () {
                            gameResult(gameLogId)
                        }
                    }
                });
                clock.setTime(timeCount - 1);
                clock.setCountdown(true);
                clock.start();
            }
            //countDown();

            function gameResult(gameLogId) {
                $.ajax({
                    headers: {"X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>",},
                    url: "<?php echo e(route('user.trade.result')); ?>",
                    method: "POST",
                    data: {game_log_id: gameLogId},
                    success: function (response) {
                        if(response.success){
                        notify('success',response.message || '');
                    }else{
                        notify('error', response.errors || '')
                    }
                        setTimeout(function () {
                            location.reload();
                        }, 5000);
                    }
                });
            }
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/basecrch/furures.com/core/resources/views/templates/basic/user/trade/trade_with.blade.php ENDPATH**/ ?>