<?php
$content     = getContent('footer.content', true);
$policyPages = getContent('policy_pages.element', false);
$subscribe   = getContent('subscribe.content', true);
$contact     = getContent('contact_us.content', true);
$socialIcons = getContent('social_icon.element', false);
?>

<footer class="footer-section">
    <div class="footer-top pt-120 pb-120">
        <div class="container">
            <div class="row gy-5 justify-content-between">
                <div class="col-lg-4 col-md-6">
                    <div class="footer__widget">
                       
                        <p> <?php echo e(__(@$content->data_values->heading)); ?></p>
                        
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer__widget">
                        <h5 class="title"><?php echo app('translator')->get('Quick Links'); ?></h5>
                        <ul class="widget__links">
                            <li>
                                <a href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a>
                            </li>
                            <li>
                                <a href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                            </li>
                            <?php if(auth()->guard()->check()): ?>
                            <li>
                                <a href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a>
                            </li>
                            <?php else: ?>
                            <li>
                                <a href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Sign In'); ?></a>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-2 col-md-6">
                    <div class="footer__widget">
                        <h5 class="title"><?php echo app('translator')->get('Policies'); ?></h5>
                        <ul class="widget__links">
                            <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policyPage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a href="<?php echo e(route('policy.pages',['slug' => slug(@$policyPage->data_values->title),'id' => @$policyPage->id])); ?>"><?php echo e(__(@$policyPage->data_values->title)); ?></a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer__widget">
                        <h5 class="title"><?php echo app('translator')->get('Our Newsletter'); ?></h5>
                        <p><?php echo e(__(@$subscribe->data_values->heading)); ?></p>
                        <form class="subscribe-form" id="subscribe-form">
                            <input type="email" class="form-control subscribe--form--control" required name="email" placeholder="<?php echo app('translator')->get('Your Email Address'); ?>">
                            <button type="submit" class="cmn--btn">
                                <i class="lab la-telegram-plane"></i>
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-middle">
        <div class="container">
            <div class="footer-middle-wrapper">
                <div class="row g-1">
                    <div class="col-lg-4">
                        <div class="footer__contact__item">
                            <div class="footer__contact__thumb">
                                <i class="las la-envelope-open-text"></i>
                            </div>
                            <div class="footer__contact__content">
                                <h6 class="footer__contact__title">
                                    <a href="mailto:<?php echo e(@$contact->data_values->email); ?>"><?php echo e(@$contact->data_values->email); ?></a>
                                </h6>
                                <span class="info"><?php echo app('translator')->get('Email Address'); ?></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="footer__contact__item" style= "display: flex;justify-content: center;align-items: center;flex-wrap: nowrap;flex-direction: row;">
                            <div class="footer__contact__content" style="display: contents;">
                                <img width="60%" height="auto"
                            src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo.png')); ?>">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="footer__contact__item">
                            <div class="footer__contact__thumb">
                                <i class="las la-phone-volume"></i>
                            </div>
                            <div class="footer__contact__content">
                                <h6 class="footer__contact__title">
                                    <a href="tel:<?php echo e(@$contact->data_values->number); ?>"><?php echo e(@$contact->data_values->number); ?></a>
                                </h6>
                                <span class="info"><?php echo app('translator')->get('Call Us Now'); ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-bottom">
        <div class="container">
            <?php echo app('translator')->get('Copyright'); ?> © <?php echo e(date('Y')); ?>. <?php echo app('translator')->get('All Rights Reserved By '); ?><a href="<?php echo e(route('home')); ?>" class="text--base"><?php echo e(__($general->site_name)); ?></a>
        </div>
    </div>
</footer>


<?php
$cookie = App\Models\Frontend::where('data_keys','cookie.data')->first();
?>
<?php if((@$cookie->data_values->status == Status::ENABLE) && !\Cookie::get('gdpr_cookie')): ?>
<div class="cookies-card text-center hide">
    <div class="cookies-card__icon bg--base">
        <i class="las la-cookie-bite"></i>
    </div>
    <p class="mt-4 cookies-card__content"><?php echo e($cookie->data_values->short_desc); ?> <a class="text--base" href="<?php echo e(route('cookie.policy')); ?>" target="_blank"><?php echo app('translator')->get('learn more'); ?></a></p>
    <div class="cookies-card__btn mt-4">
        <a href="javascript:void(0)" class="cmn--btn btn-block policy"><?php echo app('translator')->get('Allow'); ?></a>
    </div>
</div>
<?php endif; ?>


<?php $__env->startPush('script'); ?>
<script>
    "use strict";
    (function ($) {
        $('#subscribe-form').on('submit', function (e) {
            event.preventDefault();
            let formData = new FormData($(this)[0]);
            $.ajax({
                headers: { 'X-CSRF-TOKEN': "<?php echo e(csrf_token()); ?>" },
                url: "<?php echo e(route('subscribe')); ?>",
                method: "POST",
                data: formData,
                cache: false,
                contentType: false,
                processData: false,
                success: function (resp) {
                    if (resp.success) {
                        notify('success', resp.message);
                    } else {
                        notify('error', resp.message || resp.error);
                    }
                }
            });
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>
<?php /**PATH C:\xampp\htdocs\Gigs\tradelivechart\core\resources\views/templates/basic/partials/footer.blade.php ENDPATH**/ ?>