<?php
    use Illuminate\Support\Str;
    use Carbon\Carbon;
    $wallet_map = [
        1 => 'USDT',
        2 => 'BTC',
        3 => 'ETH',
    ];
?>

<?php $__env->startSection('content'); ?>
    <div class="not_a_container">
        <div class="row gx-2 mob_gy5">
            <div class="col-12">
                <div class="card px-1 py-2 align-middle text-center">
                    <p class="m-0" style="font-size: 20px;"><?php echo e($pageTitle); ?></p>
                </div>
                <div class="mt-3 card">
                    <table class="table table-borderless">
                        <thead>
                            <tr>
                                <th scope="col">Coin</th>
                                <th scope="col">Locked amount</th>
                                <th scope="col">Completed</th>
                                <th scope="col">Refund</th>
                                <th scope="col">Start Date</th>
                                <th scope="col">End Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if($log->count() < 1): ?>
                                <tr>
                                    <td colspan="6">
                                        <center>No data, yet.</center>
                                    </td>
                                </tr>
                            <?php endif; ?>
                            <?php $__currentLoopData = $log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($transaction->crypto->symbol); ?></td>
                                    <td><?php echo e(number_format($transaction->amount, 8)); ?> <?php echo e($wallet_map[$transaction->wallet]); ?>

                                    </td>
                                    <td><?php echo e($transaction->status ? 'True' : 'False'); ?></td>
                                    <td><?php echo e($transaction->status ? (number_format(($transaction->rig == 1 || $transaction->result == 1) ? ($transaction->amount + ($transaction->amount * ($transaction->profit / 100))) : $transaction->amount, 8) . ' ' . $wallet_map[$transaction->wallet]) : '-'); ?></td>
                                    <td><?php echo e($transaction->created_at->format('Y/m/d')); ?></td>
                                    <td><?php echo e(Carbon::parse($transaction->in_time)->format('Y/m/d')); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php if($log->hasPages()): ?>
                        <div style="display: flex; justify-content: center;"><?php echo e(paginateLinks($log)); ?></div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
    <script src="/assets/templates/basic/js/easytimer.min.js"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tradttna/public_html/core/resources/views/templates/basic/user/earn/log.blade.php ENDPATH**/ ?>