<?php
    use Illuminate\Support\Str;
    use Carbon\Carbon;
    use Carbon\CarbonInterval;
    $changeCoinFunc = 'a' . Str::random(6);
    $changeWalletFunc = 'b' . Str::random(6);
    $formQuantity = 'c' . Str::random(20);
    $currentPWallet = 'f' . Str::random(20);
    $formSubmit = 'j' . Str::random(6);
    $minCH = 'k' . Str::random(6);
    $proceed = 'l' . Str::random(20);
    $hiddenForm = 'm' . Str::random(20);
    $hiddenWalletInput = 'n' . Str::random(20);
    $hiddenQuantityInput = 'o' . Str::random(20);
    $network = 'p' . Str::random(6);
    $wallet_shortcuts = [
        1 => 'USDT',
        2 => 'BTC',
        3 => 'ETH',
    ];
?>

<?php $__env->startSection('content'); ?>
    <div class="container" style="height: calc(100vh - 35px);">
        <div class="row justify-content-center vertical-center">
            <div class="col-lg-6">
                <div class="card custom--card">
                    <div class="card-header">
                        <h5 class="card-title"><?php echo app('translator')->get('Deposit'); ?></h5>
                    </div>
                    <div class="card-body">
                        <div>
                            <div class="px-1 pb-2 align-middle text-center">
                                <p class="m-0" style="font-size: 14px;">To Wallet</p>
                            </div>
                            <div class="row gx-2 align-middle text-center mt-1 mb-2 ">
                                <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div onclick="<?php echo e($changeWalletFunc); ?>(<?php echo e($id); ?>)" class="col-4">
                                        <div class="card wallet_tab <?php if($id == 1): ?> active <?php endif; ?>"
                                            id="wallt_ref_<?php echo e($wallet); ?>"><?php echo e($wallet); ?></div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label"><?php echo app('translator')->get('Amount'); ?></label>
                            <div class="input-group">
                                <input type="number" step="any" name="<?php echo e($formQuantity); ?>"
                                    class="form-control cmn--form--control" value="<?php echo e(old('amount')); ?>"
                                    id="<?php echo e($formQuantity); ?>" autocomplete="off" required>
                                <span class="input-group-text" id="wallet_ref2_">USDT</span>
                            </div>
                        </div>
                        <div class="form-group d-flex mt-1" style="justify-content: space-between;">
                            <p class="m-0" style="font-size: 14px">Minimum Deposit</p>
                            <p class="m-0" style="font-size: 14px" id="<?php echo e($minCH); ?>">5.00000000 USDT</p>
                        </div>
                        <div class="form-group d-flex mt-1" style="justify-content: space-between;">
                            <p class="m-0" style="font-size: 14px">Transaction Network</p>
                            <p class="m-0" style="font-size: 14px" id="<?php echo e($network); ?>">USDT TRC20 Network</p>
                        </div>
                        <div class="asset_item_top mt-2 px-6">
                            <a class="asset_a" style="cursor: pointer;" onclick="<?php echo e($proceed); ?>()">Submit</a>
                        </div>
                    </div>
                </div>
                <form id="<?php echo e($hiddenForm); ?>" action="<?php echo e(route('user.deposit.insert')); ?>" method="post"
                    style="display: none;">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="<?php echo e($hiddenWalletInput); ?>" value="" id="<?php echo e($hiddenWalletInput); ?>">
                    <input type="hidden" name="<?php echo e($hiddenQuantityInput); ?>" value="" id="<?php echo e($hiddenQuantityInput); ?>">
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        var <?php echo e($currentPWallet); ?> = 1;
        const wallets = [
            'USDT',
            'BTC',
            'ETH',
        ];
        const networks = {
            'USDT': 'USDT TRC20 Network',
            'BTC': 'BTC BITCOIN Network',
            'ETH': 'ETH ERC20 Network',
        };
        const minimums = {
            'USDT': '5.00000000',
            'BTC': '0.00100000',
            'ETH': '0.01000000',
        }

        const minimums_val = {
            'USDT': 5.00000000,
            'BTC': 0.00100000,
            'ETH': 0.01000000,
        }

        function <?php echo e($changeWalletFunc); ?>(change) {
            if (change >= 1 && change <= 3) {
                document.getElementById('wallt_ref_' + wallets[<?php echo e($currentPWallet); ?> - 1]).classList.remove('active');
                document.getElementById('wallt_ref_' + wallets[change - 1]).classList.add('active');
                document.getElementById('wallet_ref2_').innerText = wallets[change - 1];
                document.getElementById('<?php echo e($minCH); ?>').innerText = minimums[wallets[change - 1]] + ' ' + wallets[
                    change - 1];
                document.getElementById('<?php echo e($network); ?>').innerText = networks[wallets[change - 1]];
                <?php echo e($currentPWallet); ?> = change;
            }
        }

        function <?php echo e($proceed); ?>() {
            quantity = document.getElementById('<?php echo e($formQuantity); ?>').value;
            if (quantity != null) {
                if (quantity >= minimums_val[wallets[<?php echo e($currentPWallet); ?> - 1]]) {
                    $("#<?php echo e($hiddenWalletInput); ?>").attr('name', 'wallet');
                    $("#<?php echo e($hiddenQuantityInput); ?>").attr('name', 'amount');

                    $("#<?php echo e($hiddenWalletInput); ?>").val(<?php echo e($currentPWallet); ?>);
                    $("#<?php echo e($hiddenQuantityInput); ?>").val(quantity);

                    $("#<?php echo e($hiddenForm); ?>").submit();
                } else {
                    notify('error', 'You can\'t trade less than ' + minimums[wallets[<?php echo e($currentPWallet); ?> - 1]] + ' ' +
                        wallets[<?php echo e($currentPWallet); ?> - 1]);
                }
            } else {
                notify('error', 'Invalid Amount');
            }
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/uixftobj/public_html/core/resources/views/templates/basic/user/payment/deposit.blade.php ENDPATH**/ ?>