<?php $__env->startSection('panel'); ?>
    <div class="row mb-none-30">
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <form action="" method="POST">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-4 col-sm-6">
                                <div class="form-group ">
                                    <label> <?php echo app('translator')->get('Site Title'); ?></label>
                                    <input class="form-control" type="text" name="site_name" required
                                        value="<?php echo e($general->site_name); ?>">
                                </div>
                            </div>
                            
                            <div class="form-group col-md-4 col-sm-6">
                                <label> <?php echo app('translator')->get('Timezone'); ?></label>
                                <select class="select2-basic" name="timezone">
                                    <?php $__currentLoopData = $timezones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timezone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="'<?php echo e(@$timezone); ?>'"><?php echo e(__($timezone)); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            
                            <div class="form-group col-md-4 col-sm-6">
                                <label><?php echo app('translator')->get('Referral Bonus'); ?></label>
                                <div class="input-group">
                                    <input type="number" step="any" class="form-control" name="referral_bonus"
                                        value="<?php echo e(getAmount($general->referral_bonus)); ?>" />
                                    <span class="input-group-text">%</span>
                                </div>
                            </div>
                            <div class="form-group col-md-4 col-sm-6">
                                <label><?php echo app('translator')->get('Loss Percentage'); ?></label>
                                <div class="input-group">
                                    <input type="number" step="any" class="form-control" name="loss_percent"
                                        value="<?php echo e(getAmount($general->loss_percent)); ?>" />
                                    <span class="input-group-text">%</span>
                                </div>
                            </div>
                            
                            <div class="form-group col-md-4 col-sm-6">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Coinmarketcap Api Key'); ?> </label>
                                <input class="form-control form-control-lg" type="text" name="coinmarketcap_api_key"
                                    value="<?php echo e($general->coinmarketcap_api_key); ?>">
                                <a href="https://cryptocompare.com/"
                                    target="__blank"><small>https://coinmarketcap.com/api/</small></a>
                            </div>
                            <div class="form-group col-md-4 col-sm-6">
                                <label class="form-control-label font-weight-bold"><?php echo app('translator')->get('Trade Cancellation Action'); ?> </label>
                                <select class="form-control form-control-lg" name="delete_cancelled_trades">
                                    <option value="1" <?php if($general->delete_cancelled_trades == 1): ?> selected <?php endif; ?>>Delete Trade
                                    </option>
                                    <option value="0" <?php if($general->delete_cancelled_trades == 0): ?> selected <?php endif; ?>>Evaluate Trade
                                        Result</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/spectrum.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/spectrum.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $('.colorPicker').spectrum({
                color: $(this).data('color'),
                change: function(color) {
                    $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
                }
            });

            $('.colorCode').on('input', function() {
                var clr = $(this).val();
                $(this).parents('.input-group').find('.colorPicker').spectrum({
                    color: clr,
                });
            });

            $('select[name=timezone]').val("'<?php echo e(config('app.timezone')); ?>'").select2();
            $('.select2-basic').select2({
                dropdownParent: $('.card-body')
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tradttna/public_html/core/resources/views/admin/setting/general.blade.php ENDPATH**/ ?>