<?php
    use Illuminate\Support\Str;
    use Carbon\Carbon;
    use Carbon\CarbonInterval;
    $changeDurationFunc = 'a' . Str::random(6);
    $durations_var = 'b' . Str::random(13);
    $submit = 'c' . Str::random(20);
    $modal = 'd' . Str::random(20);
    $minimums_var = 'e' . Str::random(13);
    $aprs_var = 'f' . Str::random(13);
    $changeWalletFunc = 'g' . Str::random(6);
    $currentPWallet = 'h' . Str::random(6);
    $currentPCoin = 'i' . Str::random(6);
    $idSymbolMapping = 'j' . Str::random(6);
    $formQuantity = 'k' . Str::random(6);
    $proceed = 'l' . Str::random(13);
    $wallet_shortcuts = [
        1 => 'USDT',
        2 => 'BTC',
        3 => 'ETH',
    ];
?>

<?php $__env->startSection('content'); ?>
    <div class="not_a_container p-0">
        <div class="card">
            <div class="row">
                <div class="col-lg-6 pt-5 pb-lg-5 pb-sm-2 px-5">
                    <p class="m-0 pt-3"><b style="font-size: 35px; color: #CC3366">Earn</b></p>
                    <p style="font-size: 18px;">Simple and secure. Check our supported coins and start earning.</p>
                </div>
                <div class="col-lg-6 d-flex pt-2 pb-lg-2 pb-sm-5" style="justify-content: center; align-items: center">
                    <div class="card w-50 py-2 px-2" style="background-color: #CC33661a; height: fit-content;">
                        <div class="d-flex" style="justify-content: space-between;">
                            <p style="font-size: 14px;">Active Trades:</p>
                            <p style="font-size: 14px;"><?php echo e($log); ?></p>
                        </div>
                        <div class="asset_item_top mt-2 px-6">
                            <a class="asset_a" href="<?php echo e(route('user.earn.log')); ?>">View log</a>
                         </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container mt-5">
        <div class="tbl-header">
            <table cellpadding="0" cellspacing="0" border="0">
                <thead>
                    <tr>
                        <th colspan="2">Coin</th>
                        <th>Est. APR %</th>
                        <th colspan="3">Duration (Days)</th>
                    </tr>
                </thead>
            </table>
        </div>
        <div class="tbl-content">
            <table cellpadding="0" cellspacing="0" border="0">
                <tbody>
                    <?php $__currentLoopData = $cryptos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td colspan="2">
                                <div class="author-info d-flex align-items-center">
                                    <?php if(is_null($crypto->image)): ?>
                                    <?php else: ?>
                                        <img width="35" height="35" style="border-radius: 100%; margin-right: 10px;"
                                            src="<?php echo e(getImage(getFilePath('crypto_currency') . '/' . $crypto->image, getFileSize('crypto_currency'))); ?>">
                                    <?php endif; ?>
                                    <div class="name">
                                        <span class="d-block"
                                            style="font-size: 14px;"><b><?php echo e(__(@$crypto->symbol)); ?></b></span>
                                        <small><?php echo e(__(@$crypto->name)); ?></small>
                                    </div>
                                </div>
                            </td>
                            <td><b id="apr_ref_<?php echo e($crypto->id); ?>" style="font-size: 20px; font-weight: 900;"
                                    class="text-success">- %</b></td>
                            <td colspan="3">
                                <div class="gx-2" style="display: flex; justify-content: space-between;">
                                    <div class="gx-2" style="display: inline-flex;">
                                        <?php $__currentLoopData = $durations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div onclick="<?php echo e($changeDurationFunc); ?>('<?php echo e($crypto->id); ?>', '<?php echo e($time->time); ?>', '<?php echo e($crypto->symbol); ?>')"
                                                id="durtime_ref_<?php echo e($crypto->id); ?>_<?php echo e($time->time); ?>"
                                                class="ern_duration_tag col"><?php echo e($time->time); ?></div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                    <button onclick="<?php echo e($submit); ?>('<?php echo e($crypto->id); ?>', '<?php echo e($crypto->symbol); ?>')"
                                        class="card px-2 py-1"
                                        style="cursor: pointer; justify-content: center; background-color: #CC3366; color: white;">Subscribe</button>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
    <div id="<?php echo e($modal); ?>" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-dialog-centered"" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Subscribe</h5>
                </div>
                <div class="modal-body">
                    <div class="card px-1 py-2 align-middle text-center">
                        <p class="m-0" style="font-size: 20px;"><b id="disp_mod_coin">Coin</b></p>
                    </div>
                    <div>
                        <div class="card px-1 py-2 align-middle text-center mt-2">
                            <p class="m-0" style="font-size: 14px;">Transaction wallet</p>
                        </div>
                        <div class="row gx-2 align-middle text-center mt-1 ">
                            <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div onclick="<?php echo e($changeWalletFunc); ?>(<?php echo e($id); ?>)" class="col-4">
                                    <div class="card wallet_tab <?php if($id == 1): ?> active <?php endif; ?>"
                                        id="wallt_ref_<?php echo e($wallet); ?>"><?php echo e($wallet); ?></div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                    <div class="card px-1 py-2 align-middle text-center mt-2">
                        <p style="font-size: 14px;">
                            Wallet Balance</p>
                        <p id="wallt_balance_tx"><?php echo e(number_format($balances['USDT'], 8)); ?> USDT</p>
                    </div>
                    <div class="card px-1 py-2 align-middle text-center mt-2">
                        <p style="font-size: 14px;">
                            Minimum Opening Quantity</p>
                        <p id="opqty_r2">-</p>
                    </div>
                    <div class="card px-1 py-2 align-middle text-center mt-2">
                        <p style="font-size: 14px;">
                            Duration</p>
                        <p id="optim_rd">-</p>
                    </div>
                    <div class="card px-1 py-2 align-middle text-center mt-2">
                        <div class="align-middle text-center mt-2 ">
                            <input class="opqty" type="number" step="any" name="<?php echo e($formQuantity); ?>"
                                id="<?php echo e($formQuantity); ?>" placeholder="Enter opening quantity">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" onclick="<?php echo e($proceed); ?>()">Save changes</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        table {
            width: 100%;
            table-layout: fixed;
        }

        .tbl-header {
            background-color: transparent;
        }

        .tbl-content {
            overflow-x: auto;
            margin-top: 0px;
            background-color: #181a20;
        }

        th {
            padding: 20px 15px;
            text-align: left;
            font-weight: 500;
            font-size: 12px;
            color: #CC3366;
        }

        td {
            padding: 15px;
            text-align: left;
            vertical-align: middle;
            font-weight: 300;
            font-size: 12px;
            color: #fff;
            border-bottom: solid 1px rgba(255, 255, 255, 0.1);
        }

        .ern_duration_tag {
            margin: 6px 10px 0px 0px;
            display: flex;
            -webkit-box-align: center;
            align-items: center;
            -webkit-box-pack: center;
            justify-content: center;
            padding: 8px;
            position: relative;
            border-radius: 4px;
            box-sizing: border-box;
            height: 28px;
            min-width: 49px;
            background-color: rgb(43, 49, 57);
            border: unset;
            cursor: pointer;
        }

        .ern_duration_tag.active {
            background-color: #CC3366;
        }

        .modal-content,
        .modal-header,
        .modal-body,
        .modal-footer {
            background-color: #1a253b;
        }

        .modal-header,
        .modal-body {
            border-bottom-color: #CC3366;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
    <script>
        var <?php echo e($durations_var); ?> = new Map([
            <?php $__currentLoopData = $cryptos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                ['<?php echo e($crypto->id); ?>', '0'],
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ]);

        const <?php echo e($idSymbolMapping); ?> = {
            <?php $__currentLoopData = $cryptos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                '<?php echo e($crypto->symbol); ?>': '<?php echo e($crypto->id); ?>',
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        };

        const <?php echo e($minimums_var); ?> = new Map([
            <?php $__currentLoopData = $durations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $mins = json_decode($time->minimum, true);
                ?>
                    ['<?php echo e($time->time); ?>', [<?php echo e($mins['USDT']); ?>, <?php echo e($mins['BTC']); ?>, <?php echo e($mins['ETH']); ?>]],
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ]);

        const <?php echo e($aprs_var); ?> = {
            <?php $__currentLoopData = $durations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $profits = json_decode($time->profit, true);
                ?>
                    '<?php echo e($time->time); ?>': {
                        <?php $__currentLoopData = $profits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $profit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            '<?php echo e($id); ?>': <?php echo e($profit); ?>,
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    },
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        };

        var <?php echo e($currentPWallet); ?> = 1;
        var <?php echo e($currentPCoin); ?> = 'BTC';

        const wallets = [
            'USDT',
            'BTC',
            'ETH',
        ];
        const balances = [
            <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                '<?php echo e(number_format($balances[$wallet], 8)); ?>',
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ];
        const balances_val = [
            <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo e($balances[$wallet]); ?>,
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ];

        function <?php echo e($changeDurationFunc); ?>(id, val, symbol) {
            <?php echo e($durations_var); ?>.get(id) != '0' && document.getElementById('durtime_ref_' + id + '_' +
                <?php echo e($durations_var); ?>.get(id)).classList.remove('active');
            <?php echo e($durations_var); ?>.set(id, val);
            document.getElementById('durtime_ref_' + id + '_' + val).classList.add('active');
            document.getElementById('apr_ref_' + id).innerText = <?php echo e($aprs_var); ?>[val][symbol] + '%';
            <?php echo e($currentPCoin); ?> = symbol;
            setOpqty();
        }

        function <?php echo e($submit); ?>(id, symbol) {
            if (<?php echo e($durations_var); ?>.get(id) == 0) {
                notify('error', 'Please select a duration for the trade.');
                return;
            }
            <?php echo e($currentPCoin); ?> = symbol;
            document.getElementById('disp_mod_coin').innerText = symbol + ' Earn';
            document.getElementById('optim_rd').innerText = <?php echo e($durations_var); ?>.get(id) + ' Days';
            setOpqty();
            $('input[name="<?php echo e($formQuantity); ?>"]').val("");
            $('#<?php echo e($modal); ?>').modal('show')
        }


        function setOpqty() {
            document.getElementById('opqty_r2').innerText = <?php echo e($minimums_var); ?>.get(<?php echo e($durations_var); ?>.get(
                <?php echo e($idSymbolMapping); ?>[<?php echo e($currentPCoin); ?>]))[<?php echo e($currentPWallet); ?> -
                1] + ' ' + wallets[<?php echo e($currentPWallet); ?> - 1];
        }

        function <?php echo e($changeWalletFunc); ?>(change) {
            if (change >= 1 && change <= 3) {
                document.getElementById('wallt_ref_' + wallets[<?php echo e($currentPWallet); ?> - 1]).classList.remove('active');
                document.getElementById('wallt_ref_' + wallets[change - 1]).classList.add('active');
                document.getElementById('wallt_balance_tx').innerText = balances[change - 1] + ' ' + wallets[
                    change - 1];
                <?php echo e($currentPWallet); ?> = change;
                setOpqty();
            }
        }

        function <?php echo e($proceed); ?>() {
            quantity = document.getElementById('<?php echo e($formQuantity); ?>').value;
            if (quantity != null) {
                if (quantity >= <?php echo e($minimums_var); ?>.get(<?php echo e($durations_var); ?>.get(
                        <?php echo e($idSymbolMapping); ?>[<?php echo e($currentPCoin); ?>]))[<?php echo e($currentPWallet); ?> -
                        1]) {
                    $('input[name="<?php echo e($formQuantity); ?>"]').val("");
                    $.ajax({
                        headers: {
                            "X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>",
                        },
                        url: "<?php echo e(route('user.earn.store')); ?>",
                        method: "POST",
                        data: {
                            amount: quantity,
                            coin_id: <?php echo e($currentPCoin); ?>,
                            high_low_type: 1,
                            duration: <?php echo e($durations_var); ?>.get(<?php echo e($idSymbolMapping); ?>[<?php echo e($currentPCoin); ?>]),
                            unit: 'days',
                            wallet: <?php echo e($currentPWallet); ?>,
                        },
                        success: function(response) {
                            if (response.success) {
                                window.location.reload();
                            } else {
                                notify('error', response.errors)
                            }
                        }
                    });
                } else {
                    notify('error', 'You can\'t trade less than ' + <?php echo e($minimums_var); ?>.get(<?php echo e($durations_var); ?>.get(
                        <?php echo e($idSymbolMapping); ?>[<?php echo e($currentPCoin); ?>]))[<?php echo e($currentPWallet); ?> -
                        1] + ' ' + wallets[<?php echo e($currentPWallet); ?> -
                        1] + ' for this time');
                }
            } else {
                notify('error', 'Invalid Opening Quantity.');
            }
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bitxqivl/public_html/core/resources/views/templates/basic/user/earn/index.blade.php ENDPATH**/ ?>