<?php
    use App\Models\CryptoCurrency;
    use Illuminate\Support\Str;
    $cryptos = CryptoCurrency::get();
?>


<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10 ">
            <div class="card-body p-0">
                <div class="table-responsive--md  table-responsive">
                    <table class="table table--light style--two">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('S.N.'); ?></th>
                                <th><?php echo app('translator')->get('Time'); ?></th>
                                <th><?php echo app('translator')->get('Unit'); ?></th>
                                <th><?php echo app('translator')->get('Profit'); ?> (%)</th>
                                <th><?php echo app('translator')->get('Minimum'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $games; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e($loop->index+$games->firstItem()); ?></td>
                                <td><?php echo e($game->time); ?></td>
                                <td><?php echo e(ucfirst($game->unit)); ?></td>
                                <td><?php echo e(str_replace('}', '', str_replace('{', '', str_replace('"', '', $game->profit)))); ?></td>
                                <td><?php echo e(str_replace('}', '', str_replace('{', '', str_replace('"', '', $game->minimum)))); ?></td>
                                <td>
                                    <button type="button"  class="btn btn-sm btn-outline--primary editBtn" data-game='<?php echo json_encode($game, 15, 512) ?>' data-minimum='<?php echo json_encode(json_decode($game->minimum, true), 512) ?>' data-profit='<?php echo json_encode(json_decode($game->profit, true), 512) ?>'>
                                        <i class="la la-pencil"></i><?php echo app('translator')->get('Edit'); ?>
                                    </button>
                                    <button type="button" class="btn btn-sm btn-outline--danger ms-1 confirmationBtn"
                                            data-question="<?php echo app('translator')->get('Are you sure to delete this lockup setting'); ?>?"
                                            data-action="<?php echo e(route('admin.lockup.setting.delete',$game->id)); ?>">
                                        <i class="las la-trash"></i><?php echo app('translator')->get('Delete'); ?>
                                    </button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                            </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if($games->hasPages()): ?>
            <div class="card-footer py-4">
                <?php echo e(paginateLinks($games)); ?>

            </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<div id="cryptoModal" class="modal fade">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Add Game Setting'); ?></h5>
                <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form action="" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Time'); ?></label>
                        <input type="number" step="any" class="form-control" name="time" required>
                    </div>
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Unit'); ?></label>
                        <select class="form-control" name="unit" required>
                            <option selected disabled><?php echo app('translator')->get('Select One'); ?></option>
                            <option value="months"><?php echo app('translator')->get('Months'); ?></option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Minimum USDT Deposit'); ?></label>
                        <input type="number" step="any" class="form-control" name="minimum_usdt" required>
                    </div>
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Minimum BTC Deposit'); ?></label>
                        <input type="number" step="any" class="form-control" name="minimum_btc" required>
                    </div>
                    <div class="form-group">
                        <label><?php echo app('translator')->get('Minimum ETH Deposit'); ?></label>
                        <input type="number" step="any" class="form-control" name="minimum_eth" required>
                    </div>
                    <?php $__currentLoopData = $cryptos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="form-group">
                            <label><?php echo e($crypto->symbol); ?> <?php echo app('translator')->get('Profit'); ?> %</label>
                            <input type="number" step="any" class="form-control" name="profit_<?php echo e(Str::lower($crypto->symbol)); ?>" required>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
<button type="button" class="btn btn-sm btn-outline--primary addBtn">
    <i class="las la-plus"></i><?php echo app('translator')->get('Add New'); ?>
</button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
    "use strict";
    (function ($) {

        let modal = $('#cryptoModal');

        $('.addBtn').on('click', function (e) {
            let action = `<?php echo e(route('admin.lockup.setting.save')); ?>`;
            modal.find('form').trigger('reset');
            modal.find('.modal-title').text("<?php echo app('translator')->get('Add Lockup Setting'); ?>")
            modal.find('form').prop('action', action);
            $(modal).modal('show');
        });

        $('.editBtn').on('click', function (e) {
            let action = `<?php echo e(route('admin.lockup.setting.save',':id')); ?>`;
            let data   = $(this).data('game');
            let minimum   = $(this).data('minimum');
            let profit   = $(this).data('profit');
            modal.find('form').prop('action', action.replace(':id', data.id))
            modal.find("input[name=time]").val(data.time);
            modal.find("input[name=profit]").val(data.profit);
            modal.find("input[name=minimum_usdt]").val(minimum.USDT);
            modal.find("input[name=minimum_btc]").val(minimum.BTC);
            modal.find("input[name=minimum_eth]").val(minimum.ETH);
            <?php $__currentLoopData = $cryptos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                try{
                    modal.find("input[name=profit_<?php echo e(Str::lower($crypto->symbol)); ?>]").val(profit.<?php echo e($crypto->symbol); ?>);
                }catch(e) {
                    //
                }
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            modal.find("select[name=unit]").val(data.unit);
            modal.find('.modal-title').text(`<?php echo app('translator')->get('Update Lockup Setting'); ?>`);
            $(modal).modal('show');
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tradttna/public_html/core/resources/views/admin/lockup_setting/index.blade.php ENDPATH**/ ?>