<?php
    use Illuminate\Support\Str;
    use Carbon\Carbon;
?>

<?php $__env->startSection('content'); ?>
    <div class="not_a_container">
        <div class="row gx-2 mob_gy5">
            <div class="col-12">
                <div class="card px-1 py-2 align-middle text-center">
                    <p class="m-0" style="font-size: 20px;"><?php echo e($pageTitle); ?></p>
                </div>
                <div class="mt-3 card">
                    <table class="table table-borderless">
                        <thead>
                            <tr>
                                <th scope="col">Id</th>
                                <th scope="col">Quantity</th>
                                
                                <th scope="col">Post Quantity</th>
                                <th scope="col">Type</th>
                                <th scope="col">Details</th>
                                <th scope="col">Remarks</th>
                                <th scope="col">Time</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php if($log->count() < 1): ?>
                                <tr>
                                    <td colspan="8">
                                        <center>No data, yet.</center>
                                    </td>
                                </tr>
                            <?php endif; ?>
                            <?php $__currentLoopData = $log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($transaction->trx); ?></td>
                                    <td><?php echo e(number_format($transaction->amount, 8)); ?></td>
                                    
                                    <td><?php echo e(number_format($transaction->post_balance, 8)); ?></td>
                                    <td>
                                        <?php if($transaction->trx_type == '+'): ?>
                                            Credit
                                        <?php else: ?>
                                            Debit
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e($transaction->details); ?></td>
                                    <td><?php echo e($transaction->remark); ?></td>
                                    <td><?php echo e($transaction->created_at); ?> GMT</td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php if($log->hasPages()): ?>
                        <div style="display: flex; justify-content: center;"><?php echo e(paginateLinks($log)); ?></div>
                    <?php endif; ?>
                </div>
                <div class="card px-1 py-2 align-middle text-center mt-2">
                    <p class="m-0" style="font-size: 16px;">Current Balance: <?php echo e($balance); ?></p>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
    <script src="/assets/templates/basic/js/easytimer.min.js"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bitxqivl/public_html/core/resources/views/templates/basic/user/assets/log.blade.php ENDPATH**/ ?>