
<?php $__env->startSection('content'); ?>
<div class="container" style="height: calc(100vh - 35px);">
    <div class="row justify-content-end gy-4 vertical-center">
        <div class="col-4">
            <form action="">
                <div class="input-group">
                    <input type="text" name="search" class="form-control cmn--form--control" value="<?php echo e(request()->search); ?>" placeholder="<?php echo app('translator')->get('Search By Transactions'); ?>">
                    <button class="input-group-text bg--base text-white border-0">
                        <i class="las la-search"></i>
                    </button>
                </div>
            </form>
        </div>
        <div class="col-12">
            <div class="table-responsive">
                <table class="table cmn--table">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->get('Gateway | Transaction'); ?></th>
                            <th><?php echo app('translator')->get('Initiated'); ?></th>
                            <th><?php echo app('translator')->get('Amount'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th><?php echo app('translator')->get('Action'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php $__empty_1 = true; $__currentLoopData = $withdraws; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $withdraw): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td>
                                <div>
                                    <span class="fw-bold d-block"><span class="text-bold"> <?php echo e(__(@$withdraw->method->name)); ?></span></span>
                                    <small><?php echo e($withdraw->trx); ?></small>
                                </div>
                            </td>
                            <td> <?php echo e(showDateTime($withdraw->created_at)); ?> <br>  <?php echo e(diffForHumans($withdraw->created_at)); ?></td>
                            <td>
                                 <div>
                                    <?php echo e(showAmount($withdraw->amount, 8 )); ?> - <span class="text--danger" title="<?php echo app('translator')->get('charge'); ?>"><?php echo e(showAmount($withdraw->charge)); ?> </span> <br>
                                    <strong title="<?php echo app('translator')->get('Amount after charge'); ?>">
                                        <?php echo e(number_format($withdraw->amount-$withdraw->charge, 8)); ?> <?php echo e($withdraw->currency); ?>

                                    </strong>
                                </div>
                             </td>
                             <td> <?php echo $withdraw->statusBadge ?> </td>
                            <td>
                                <button class="btn btn--base-outline btn-sm detailBtn"
                                        data-user_data="<?php echo e(json_encode($withdraw->withdraw_information)); ?>"
                                        <?php if($withdraw->status == Status::PAYMENT_REJECT): ?>
                                        data-admin_feedback="<?php echo e($withdraw->admin_feedback); ?>"
                                        <?php endif; ?>>
                                    <i class="la la-desktop"></i> <?php echo app('translator')->get('Details'); ?>
                                </button>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                        </tr>
                    <?php endif; ?>
                    </tbody>
                </table>
            </div>
            <?php if($withdraws->hasPages()): ?>
                <?php echo e($withdraws->links()); ?>

            <?php endif; ?>
        </div>
    </div>
</div>



 
<div id="detailModal" class="modal fade custom--modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"><?php echo app('translator')->get('Details'); ?></h5>
                <span type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
                    <i class="las la-times"></i>
                </span>
            </div>
            <div class="modal-body">
                <ul class="list-group userData list-group-flush">

                </ul>
                <div class="feedback"></div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function ($) {
            "use strict";
            $('.detailBtn').on('click', function () {
                var modal = $('#detailModal');
                var userData = $(this).data('user_data');
                var html = ``;
                userData.forEach(element => {
                    if(element.type != 'file'){
                        html += `
                        <li class="list-group-item d-flex justify-content-between align-items-center bg-transparent b-input text-white">
                            <span>${element.name}</span>
                            <span">${element.value}</span>
                        </li>`;
                    }
                });
                modal.find('.userData').html(html);

                if($(this).data('admin_feedback') != undefined){
                    var adminFeedback = `
                        <div class="my-3">
                            <strong><?php echo app('translator')->get('Feedback'); ?></strong>
                            <p class="mt-1">${$(this).data('admin_feedback')}</p>
                        </div>
                    `;
                }else{
                    var adminFeedback = '';
                }

                modal.find('.feedback').html(adminFeedback);

                modal.modal('show');
            });
        })(jQuery);

    </script>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('style'); ?>
    <style>
        .modal-content,
        .modal-header,
        .modal-body,
        .modal-footer {
            background-color: #1a253b;
        }

        .modal-header,
        .modal-body {
            border-bottom-color: #CC3366;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate.'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bitxqivl/public_html/core/resources/views/templates/basic/user/withdraw/log.blade.php ENDPATH**/ ?>