<?php
    $content        = getContent('crypto_price.content', true);
    $cryptoCurrency = App\Models\CryptoCurrency::active()->orderBy('rank','ASC')->where('rank','!=',0)->take(20)->get();
?>
<section class="trend-trade-section pt-120 pb-120">
    <div class="container">
        <div class="row g-4">
            <div class="col-12">
                <div class="section__header ">
                    <h3 class="title"><?php echo e(__(@$content->data_values->heading)); ?></h3>
                    <p><?php echo e(__(@$content->data_values->sub_heading)); ?></p>
                </div>
                <div class="table-responsive">
                    <table class="table cmn--table">
                        <thead>
                        <tr>
                            <th><?php echo app('translator')->get('S.N.'); ?></th>
                            <th><?php echo app('translator')->get('Name'); ?></th>
                            <th><?php echo app('translator')->get('1h%'); ?></th>
                            <th><?php echo app('translator')->get('Price'); ?></th>
                            <th><?php echo app('translator')->get('7d%'); ?></th>
                            <th><?php echo app('translator')->get('Market Cap'); ?></th>
                            <th><?php echo app('translator')->get('24h%'); ?></th>
                            <th><?php echo app('translator')->get('Volume(24h)'); ?></th>
                         
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $cryptoCurrency; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td>
                                        <div class="author-info d-flex align-items-center">
                                            <img src="<?php echo e(getImage(getFilePath('crypto_currency').'/'.$crypto->image, getFileSize('crypto_currency'))); ?>" >
                                            <div class="name">
                                                <span class="d-block"><?php echo e(__(@$crypto->symbol)); ?></span>
                                                <small><?php echo e(__(@$crypto->name)); ?></small>
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <?php if($crypto->one_hour < 0): ?>
                                            <span class="badge badge--danger"><?php echo e(showAmount($crypto->one_hour)); ?> %</span>
                                        <?php else: ?>
                                            <span class="badge badge--success"><?php echo e(showAmount($crypto->one_hour)); ?> %</span>
                                        <?php endif; ?>
                                    </td>
                                    <td><?php echo e(showAmount($crypto->price)); ?> <?php echo app('translator')->get("USD"); ?></td>
                                    <td>
                                        <?php if($crypto->seven_day < 0): ?>
                                            <span class="badge badge--danger"><?php echo e(showAmount($crypto->seven_day)); ?> %</span>
                                        <?php else: ?>
                                            <span class="badge badge--success"><?php echo e(showAmount($crypto->seven_day)); ?> %</span>
                                        <?php endif; ?>
                                    </td>
                                    <td>$<?php echo e(showAmount($crypto->market_cap)); ?></td>
                                    <td>
                                        <?php if($crypto->twenty_four < 0): ?>
                                            <span class="badge badge--danger"><?php echo e(showAmount($crypto->twenty_four)); ?> %</span>
                                        <?php else: ?>
                                            <span class="badge badge--success"><?php echo e(showAmount($crypto->twenty_four)); ?> %</span>
                                        <?php endif; ?>
                                    </td>
                                    <td>$<?php echo e(showAmount($crypto->volume_24h)); ?></td>
                                   
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="100%" class="text-muted text-center"><?php echo e(__($emptyMessage)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>


<?php $__env->startPush('style'); ?>
<style>
.author-info  img{
    width: 30px;
    height: 30px;
    border: 3px solid #fff;
    border-radius: 50%;
    margin-right: 8px;
}
.author-info .name{
    text-align: left;
}
</style>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/uixftobj/public_html/core/resources/views/templates/basic/sections/crypto_price.blade.php ENDPATH**/ ?>