<?php
    use Illuminate\Support\Str;
    use Carbon\Carbon;
    use Carbon\CarbonInterval;
    $changeCoinFunc = 'a' . Str::random(6);
    $changeWalletFunc = 'b' . Str::random(6);
    $formQuantity = 'c' . Str::random(20);
    $formTime = 'd' . Str::random(6);
    $currentPCoin = 'e' . Str::random(6);
    $currentPWallet = 'f' . Str::random(6);
    $currentPTime = 'g' . Str::random(6);
    $currentPTimeSubUnit = 'h' . Str::random(6);
    $currentPTimeSubTime = 'i' . Str::random(6);
    $formSubmit = 'j' . Str::random(6);
    $timer = 'k' . Str::random(13);
    $cancel = 'l' . Str::random(13);
    $coin_shortcuts = $cryptos->select('symbol')->pluck('symbol');
    $wallet_shortcuts = [
        1 => 'USDT',
        2 => 'BTC',
        3 => 'ETH',
    ];
    function getProfitLoss($trade, $hl, $rate, $res, $rig, $lperc)
    {
        if ($rig == 1) {
            $result = 'win';
            $outcome = $trade * ($rate / 100);
        } elseif ($rig == 2) {
            $result = 'draw';
            $outcome = 0.0;
        } elseif ($rig == 3) {
            $result = 'loss';
            $outcome = ($lperc / 100) * $trade;
        } else {
            if ($res == 1) {
                $result = 'win';
                $outcome = $trade * ($rate / 100);
            } elseif ($res == 2) {
                $result = 'loss';
                $outcome = ($lperc / 100) * $trade;
            } else {
                $result = 'draw';
                $outcome = 0.0;
            }
        }
        $outcome = number_format($outcome, 8);
        return compact('outcome', 'result');
    }
    function formatTimeToShortString($timeValue)
    {
        $totalSeconds = $timeValue;

        if ($totalSeconds >= 86400) {
            $days = floor($totalSeconds / 86400);
            return $days . 'd';
        } elseif ($totalSeconds >= 3600) {
            $hours = floor($totalSeconds / 3600);
            return $hours . 'h';
        } elseif ($totalSeconds >= 60) {
            $minutes = floor($totalSeconds / 60);
            return $minutes . 'm';
        } else {
            return $totalSeconds . 's';
        }
    }

?>

<?php $__env->startSection('content'); ?>
    <div class="not_a_container">
        <div class="row gx-2 mob_gy5">
            <div class="col-lg-9">
                <div class="card">
                    <ul class="trade_coin_tab_nav">
                        <?php $__currentLoopData = $coin_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $coin): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a id="trad_ref_<?php echo e($coin); ?>" onclick="<?php echo e($changeCoinFunc); ?>('<?php echo e($coin); ?>')"
                                    class="link <?php if($coin == 'BTC'): ?> active <?php endif; ?>"><?php echo e($coin); ?></a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="card mt-2 trading-view">
                    <div class="tab-content pt-50">

                        <div class="tab-pane fade show active" id="expert">
                            <div class="chart-wrapper">
                                <div class="chart">
                                    <div class="card custom--card h-100">
                                        <div class="not_card-body">
                                            <div class="tradingview-widget-container">
                                                <div id="expert_chart"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card mt-2 trading-view" style="display: flex; min-height: 200px; overflow-x: auto;">
                    <div style="flex: 1">
                        <ul class="nav nav-tabs px-2 py-2" id="trx_tabs_" role="tablist"
                            style="display: flex;column-gap: 10px;">
                            <li class="nav-item">
                                <a class="trx_tab_link active" id="transactions-tab" data-toggle="tab" href="#transactions"
                                    role="tab" aria-controls="transactions" aria-selected="true">Transactions</a>
                            </li>
                            <li class="nav-item">
                                <a class="trx_tab_link" id="closed-tab" data-toggle="tab" href="#closed" role="tab"
                                    aria-controls="closed" aria-selected="false">Closed</a>
                            </li>
                        </ul>

                        <div class="tab-content" id="trx_tabs_Content">
                            <div class="tab-pane fade show active" id="transactions" role="tabpanel"
                                aria-labelledby="transactions-tab">
                                <table class="table table-borderless">
                                    <thead>
                                        <tr>
                                            <th scope="col">Pair</th>
                                            <th scope="col">Quantity</th>
                                            <th scope="col">Trade Type</th>
                                            <th scope="col">Timer</th>
                                            <th scope="col">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if($log->count() < 1): ?>
                                            <tr>
                                                <td colspan="5">
                                                    <center>No data, yet.</center>
                                                </td>
                                            </tr>
                                        <?php endif; ?>
                                        <?php $__currentLoopData = $log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trade): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($trade->crypto->symbol); ?>/<?php echo e($wallet_shortcuts[$trade->wallet]); ?>

                                                    <?php echo e(formatTimeToShortString($trade->duration)); ?></td>
                                                <td><?php echo e(number_format($trade->amount, 6)); ?></td>
                                                
                                                <td
                                                    class="<?php if($trade->high_low == 1): ?> closed_tab_win <?php endif; ?> <?php if($trade->high_low != 1): ?> closed_tab_loss <?php endif; ?>">
                                                    <?php echo e($trade->high_low == 1 ? 'Buy' : 'Sell'); ?>

                                                </td>
                                                <td>
                                                    <div id="<?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>"></div>
                                                </td>
                                                <td><a style="text-decoration: none; color:#CC3366;"
                                                        href="javascript:<?php echo e($cancel); ?>(<?php echo e($trade->id); ?>)">Cancel</a>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                                <?php if($log->hasPages()): ?>
                                    <div style="display: flex; justify-content: center;"><?php echo e(paginateLinks($log)); ?></div>
                                <?php endif; ?>
                            </div>
                            <div class="tab-pane fade" id="closed" role="tabpanel" aria-labelledby="closed-tab">
                                <table class="table table-borderless">
                                    <thead>
                                        <tr>
                                            <th scope="col">Pair</th>
                                            <th scope="col">Quantity</th>
                                            <th scope="col">Purchase Price</th>
                                            <th scope="col">Transaction Price</th>
                                            <th scope="col">Profit / Loss</th>
                                            <th scope="col">Date</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php if($log2->count() < 1): ?>
                                            <tr>
                                                <td colspan="8">
                                                    <center>No data, yet.</center>
                                                </td>
                                            </tr>
                                        <?php endif; ?>
                                        <?php $__currentLoopData = $log2; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trade): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $res = getProfitLoss($trade->amount, $trade->high_low == 1, $trade->profit, $trade->result, $trade->rig, $trade->loss_percent);
                                            ?>
                                            <tr>
                                                <td><?php echo e($trade->crypto->symbol); ?>/<?php echo e($wallet_shortcuts[$trade->wallet]); ?>

                                                    <?php echo e(formatTimeToShortString($trade->duration)); ?></td>
                                                <td><?php echo e(number_format($trade->amount, 6)); ?></td>
                                                <td><?php echo e(number_format($trade->price_was, 6)); ?></td>
                                                <td><?php echo e(number_format($trade->price_is, 6)); ?></td>
                                                <td
                                                    class="<?php if($res['result'] == 'win'): ?> closed_tab_win <?php endif; ?> <?php if($res['result'] == 'loss'): ?> closed_tab_loss <?php endif; ?>">
                                                    <?php if($res['result'] == 'loss'): ?>
                                                        -
                                                    <?php else: ?>
                                                        +
                                                    <?php endif; ?><?php echo e($res['outcome']); ?>

                                                </td>
                                                <td><?php echo e($trade->created_at); ?> GMT</td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                                <?php if($log2->hasPages()): ?>
                                    <div style="display: flex; justify-content: center;"><?php echo e(paginateLinks($log2)); ?></div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-3">
                <div>
                    <div class="card px-1 py-2 align-middle text-center">
                        <p class="m-0" style="font-size: 14px;"> <span class="icon_dot mx-2"><i
                                    class="fa fa-solid fa-check"></i></span>Transaction wallet</p>
                    </div>
                    <div class="row gx-2 align-middle text-center mt-1 ">
                        <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div onclick="<?php echo e($changeWalletFunc); ?>(<?php echo e($id); ?>)" class="col-4">
                                <div class="card wallet_tab <?php if($id == 1): ?> active <?php endif; ?>"
                                    id="wallt_ref_<?php echo e($wallet); ?>"><?php echo e($wallet); ?></div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="card px-1 py-2 align-middle text-center mt-2">
                    <p style="font-size: 14px;"> <span class="icon_dot mx-1"><i class="fa fa-solid fa-check"></i></span>
                        Wallet Balance</p>
                    <p id="wallt_balance_tx"><?php echo e(number_format($balances['USDT'], 8)); ?> USDT</p>
                </div>
                <div>
                    <div class="card px-1 py-2 align-middle text-center mt-2">
                        <p class="m-0" style="font-size: 14px;"> <span class="icon_dot mx-2"><i
                                    class="fa fa-solid fa-check"></i></span>Transaction details</p>
                    </div>
                    <p class="m-0 mt-1" style="font-size: 14px;">Opening Quantity:</p>
                    <div class="align-middle text-center mt-2 ">
                        <input class="opqty" type="number" step="any" name="<?php echo e($formQuantity); ?>"
                            id="<?php echo e($formQuantity); ?>" placeholder="Enter opening quantity">
                    </div>
                    <p class="m-0 mt-1" style="font-size: 14px;">Open Time:</p>
                    <div class="align-middle text-center mt-2 mb-2 opentimes">
                        <?php $__currentLoopData = $durations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div>
                                <div id="trx_time_ref_<?php echo e($time->id); ?>"
                                    onclick="<?php echo e($formTime); ?>(<?php echo e($time->id); ?>, '<?php echo e($time->unit); ?>', '<?php echo e($time->time); ?>')"
                                    class="card opentimitem"><?php echo e($time->time); ?><?php echo e($time->unit[0]); ?></div>
                                
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <div class="mt-2">
                        <p class="m-0 mt-1" style="font-size: 14px;">Swiping:</p>
                        <div class="table-responsive">
                            <table class="table table-borderless">
                                <tbody>
                                    <tr>
                                        <td style="color: white !important;">Balance</td>
                                        <td style="color: white !important;" id="wallt_balance_tx_r2">
                                            <?php echo e(number_format($balances['USDT'], 8)); ?> USDT</td>
                                    </tr>
                                    <tr>
                                        <td style="color: white !important;">Minimum Opening Quantity</td>
                                        <td style="color: white !important;" id="opqty_r2">-</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="px-5 mt-2 buy_trx_ctn">
                        <button onclick="<?php echo e($formSubmit); ?>(1)" class="buy_trx mb-1 mt-2"
                            style="background-color: green;" type="button">Buy/Long</button>
                        <button onclick="<?php echo e($formSubmit); ?>(2)" class="buy_trx mb-2" style="background-color: red;"
                            type="button">Sell/Short</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="https://s3.tradingview.com/tv.js"></script>
    <script src="/assets/templates/basic/js/easytimer.min.js"></script>
    <script>
        "use strict";
        new TradingView.widget({
            "width": 980,
            "height": 610,
            "symbol": "BTCUSDT",
            "interval": "D",
            "timezone": "Etc/UTC",
            "theme": "dark",
            "style": "1",
            "locale": "en",
            "enable_publishing": false,
            "hide_side_toolbar": false,
            "allow_symbol_change": true,
            "details": true,
            "show_popup_button": true,
            "popup_width": "1000",
            "popup_height": "650",

            "container_id": "expert_chart"
        });
    </script>
    <script>
        var <?php echo e($currentPCoin); ?> = 'BTC';
        var <?php echo e($currentPWallet); ?> = 1;
        var <?php echo e($currentPTime); ?>;
        var <?php echo e($currentPTimeSubUnit); ?>;
        var <?php echo e($currentPTimeSubTime); ?>;
        const wallets = [
            'USDT',
            'BTC',
            'ETH',
        ];
        const balances = [
            <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                '<?php echo e(number_format($balances[$wallet], 8)); ?>',
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ];
        const balances_val = [
            <?php $__currentLoopData = $wallet_shortcuts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $wallet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo e($balances[$wallet]); ?>,
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ];
        const minimums = {
            <?php $__currentLoopData = $durations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $time): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php echo e($time->id); ?>: {
                    <?php $__currentLoopData = json_decode($time->minimum, true); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $wallet => $minm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        '<?php echo e($wallet); ?>': <?php echo e($minm); ?>,
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                },
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        };

        function setOpqty() {
            document.getElementById('opqty_r2').innerText = minimums[<?php echo e($currentPTime); ?>][wallets[<?php echo e($currentPWallet); ?> -
                1]] + ' ' + wallets[<?php echo e($currentPWallet); ?> - 1];
        }

        function <?php echo e($formSubmit); ?>(highlow) {
            if (highlow >= 1 && highlow <= 2) {
                quantity = document.getElementById('<?php echo e($formQuantity); ?>').value;
                if (quantity != null && <?php echo e($currentPTime); ?> != null && <?php echo e($currentPTimeSubUnit); ?> != null &&
                    <?php echo e($currentPTimeSubTime); ?> != null) {
                    if (quantity >= minimums[<?php echo e($currentPTime); ?>][wallets[<?php echo e($currentPWallet); ?> - 1]]) {
                        $('input[name="<?php echo e($formQuantity); ?>"]').val("");
                        $.ajax({
                            headers: {
                                "X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>",
                            },
                            url: "<?php echo e(route('user.trade.store')); ?>",
                            method: "POST",
                            data: {
                                amount: quantity,
                                coin_id: <?php echo e($currentPCoin); ?>,
                                high_low_type: highlow,
                                duration: <?php echo e($currentPTimeSubTime); ?>,
                                unit: <?php echo e($currentPTimeSubUnit); ?>,
                                wallet: <?php echo e($currentPWallet); ?>,
                            },
                            success: function(response) {
                                if (response.success) {
                                    window.location.reload();
                                } else {
                                    notify('error', response.errors)
                                }
                            }
                        });
                    } else {
                        notify('error', 'You can\'t trade less than ' + minimums[<?php echo e($currentPTime); ?>][wallets[
                            <?php echo e($currentPWallet); ?> - 1]] + ' ' + wallets[
                            <?php echo e($currentPWallet); ?> - 1] + ' for this time');
                    }
                } else {
                    if (quantity == null) {
                        notify('error', 'Invalid Opening Quantity.');
                    } else if (!(<?php echo e($currentPTime); ?> != null && <?php echo e($currentPTimeSubUnit); ?> != null &&
                            <?php echo e($currentPTimeSubTime); ?> != null)) {
                        notify('error', 'Invalid Transaction Settings.');
                    }
                }
            }
        }

        function <?php echo e($formTime); ?>(change, unit, time) {
            try {
                document.getElementById('trx_time_ref_' + change).classList.add('active');
                document.getElementById('trx_time_ref_' + <?php echo e($currentPTime); ?>).classList.remove('active');
            } catch (error) {
                //
            }
            <?php echo e($currentPTime); ?> = change;
            <?php echo e($currentPTimeSubUnit); ?> = unit;
            <?php echo e($currentPTimeSubTime); ?> = time;
            setOpqty();
        }

        function <?php echo e($changeWalletFunc); ?>(change) {
            if (change >= 1 && change <= 3) {
                new TradingView.widget({
                    "width": 980,
                    "height": 610,
                    "symbol": <?php echo e($currentPCoin); ?> + wallets[change - 1],
                    "interval": "D",
                    "timezone": "Etc/UTC",
                    "theme": "dark",
                    "style": "1",
                    "locale": "en",
                    "enable_publishing": false,
                    "hide_side_toolbar": false,
                    "allow_symbol_change": true,
                    "details": true,
                    "show_popup_button": true,
                    "popup_width": "1000",
                    "popup_height": "650",
                    "container_id": "expert_chart"
                });
                document.getElementById('wallt_ref_' + wallets[<?php echo e($currentPWallet); ?> - 1]).classList.remove('active');
                document.getElementById('wallt_ref_' + wallets[change - 1]).classList.add('active');
                document.getElementById('wallt_balance_tx').innerText = balances[change - 1] + ' ' + wallets[
                    change - 1];
                document.getElementById('wallt_balance_tx_r2').innerText = balances[change - 1] + ' ' + wallets[
                    change - 1];
                <?php echo e($currentPWallet); ?> = change;
                setOpqty();
            }
        }

        function <?php echo e($changeCoinFunc); ?>(change) {
            new TradingView.widget({
                "width": 980,
                "height": 610,
                "symbol": change + wallets[<?php echo e($currentPWallet); ?> - 1],
                "interval": "D",
                "timezone": "Etc/UTC",
                "theme": "dark",
                "style": "1",
                "locale": "en",
                "toolbar_bg": "#f1f3f6",
                "enable_publishing": false,
                "allow_symbol_change": false,
                "overrides": {
                    "paneProperties": {
                        "background": "#FF0000",
                    },
                },
                "container_id": "expert_chart"
            });
            document.getElementById('trad_ref_' + <?php echo e($currentPCoin); ?>).classList.remove('active');
            document.getElementById('trad_ref_' + change).classList.add('active');
            <?php echo e($currentPCoin); ?> = change;
            setOpqty();
        }

        function <?php echo e($cancel); ?>(id) {
            let c_num = (Math.floor(Math.random() * (999 - 111 + 1)) + 111).toString();
            let c_pr = prompt('Enter "' + c_num + '" to confirm the cancellation of this trade. NOTE THIS ACTION IS IRREVERSIBLE.');
            c_num == c_pr ?
                $.ajax({
                    headers: {
                        "X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>",
                    },
                    url: "<?php echo e(route('user.trade.cancel')); ?>",
                    method: "POST",
                    data: {
                        id: id,
                    },
                    success: function(response) {
                        if (response.success) {
                            window.location.reload();
                        } else {
                            notify('error', response.errors)
                        }
                    }
                }) :
                alert('Invalid value');
        }
    </script>
    <script>
        <?php $__currentLoopData = $log; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trade): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            // Timer <?php echo e($trade->id); ?>

            <?php
                $durationInSeconds = Carbon::parse($trade->in_time)->isPast() ? 5 : Carbon::parse($trade->in_time)->diffInSeconds(Carbon::now());

                $cu_days = floor($durationInSeconds / (24 * 3600));
                $remainingSeconds = $durationInSeconds - $cu_days * 24 * 3600;
                $cu_hours = floor($remainingSeconds / 3600);
                $remainingSeconds -= $cu_hours * 3600;
                $cu_minutes = floor($remainingSeconds / 60);
                $cu_seconds = $remainingSeconds % 60;
            ?>
            var <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?> = new easytimer.Timer();
            <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.start({
                countdown: true,
                startValues: {
                    days: <?php echo e($cu_days); ?>,
                    hours: <?php echo e($cu_hours); ?>,
                    minutes: <?php echo e($cu_minutes); ?>,
                    seconds: <?php echo e($cu_seconds); ?>

                }
            });
            $('#<?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>').html(
                <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.getTimeValues().days + ':' + <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.getTimeValues().toString(["hours", "minutes", "seconds"]));
            <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.addEventListener('secondsUpdated', function(e) {
                $('#<?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>').html(
                    <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.getTimeValues().days + ':' + <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.getTimeValues().toString(["hours", "minutes", "seconds"]));
            });

            <?php echo e($timer); ?>_trade_timer_<?php echo e($trade->id); ?>.addEventListener('targetAchieved', function(e) {
                $.ajax({
                    headers: {
                        "X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>",
                    },
                    url: "<?php echo e(route('user.trade.result')); ?>",
                    method: "POST",
                    data: {
                        game_log_id: <?php echo e($trade->id); ?>

                    },
                    success: function(response) {
                        if (response.success) {
                            notify('success', response.message || '');
                        } else {
                            notify('error', response.errors || '')
                        }
                        setTimeout(function() {
                            window.location.reload();
                        }, 1000);
                    }
                });
            });
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.sage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tradttna/public_html/core/resources/views/templates/basic/user/trade/index.blade.php ENDPATH**/ ?>